<h3>Nombres premiers probables</h3>

Il existe essentiellement deux types de tests pour la primarit d'un entier :
tests rigoureux et tests probabilistiques.
<p>
Un test de primarit probabilistique a l'avantage d'tre beaucoup plus
rapide qu'un test rigoureux, mais il ne peut pas prouver qu'un nombre est
premier. D'un ct, un entier qui passe un tel test a une probabilit TRES leve
d'tre rellement premier; de l'autre, il existe effectivement des nombres
composites qui passent tout test probabilistique de primarit.
</p><p>
Cet outil utilise le logiciel PARI/GP pour les recherches de nombres premiers.
Par souci de performance, ce logiciel emploie seulement un test
probabilistique dans ces recherches (test de Rabin-Miller sur 10 bases
alatoires). C'est pourquoi les rsultats de cet outil ne sont que des
nombres premiers probables.
</p><p>
En tout cas, si vous avez vraiment besoin de nombres premiers rigoureusement
prouvs, vous pouvez cliquer sur le nombre. Dans ce cas, soit PARI/GP
sera appel pour passer un test rigoureux
de primarit sur ce nombre (avec un algorithme
utilisant un thorme de John Selfridge; voir
``Prime Numbers and Computer Methods for Factorization'' de Hans Riesel,
Theorem 4.4), s'il contient au plus 45 chiffres; soit on
appelle le test ECPP disponible sur un autre site pour la vrification
rigoureuse, et dans une nouvelle fentre de votre navigateur, si ce nombre
contient plus que 40 chiffres. ECPP est un test moderne de primarit trs
puissant; il vous faudra quand mme de la patience si vous demandez un
test rigoureux sur des nombres ayant 100 chiffres ou plus.
</p>
